@import url("https://fonts.googleapis.com/css2?family=Jura:wght@300;400;500;600;700&display=swap");

* {
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
  transition: all 0.5s ease-in-out;
}

body {
  background-color: #000;
  color: #fff;
  font-family: "Jura", sans-serif;
}

h1 {
  color: #ffd41e;
}

.main-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  align-content: center;
}

.header {
  display: flex;
  flex-direction: row;
  justify-content: start;
  align-items: center;
  gap: 40px;
  padding: 10px;
}

.logo {
  text-align: start;
  padding: 10px;
  width: 80vw;
  font-size: 72px;
}

.burger-container {
  position: relative;
  display: inline;
}

.burger {
  cursor: pointer;
  height: 50px;
  width: 50px;
  padding: 10px;
  transition: transform 0.3s ease;
}

.menu {
  height: 0;
  width: 250px;
  overflow: hidden;
  position: absolute;
  top: 60px;
  right: 0;
  background-color: #fff;
  list-style-type: none;
  transition: height 1s ease;
  border-radius: 5px;
}

.menu li {
  font-size: 30px;
  font-weight: 700;
  padding: 20px 20px 10px 20px;
}

.menu a {
  text-decoration: none;
  color: #000;
}

.show-menu {
  height: 400px;
}

.poster-vid {
  margin: 70px 0 40px 0;
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 20px;
}

.movie-vid{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

video {
  border: solid 1px #fff;
  height: 280px;
  width: 760px;
}

.full-movie{
  background: #fff;
  width: 760px;
  height: 50px;
  border-radius: 7px;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  letter-spacing: 20px;
  color: #000;
  font-size: 20px;
  font-weight: 700;
}

.full-link{
  border-radius: 7px;
  text-decoration: none;
  transition: box-shadow .5s ease-in-out;
}

.full-link:hover{
  box-shadow: 0 0 30px 5px #ffd41e;
}

.movie-poster {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.movie-poster img {
  height: 260px;
  width: 170px;
  margin-bottom: 20px;
  border: solid 0.5px #fff;
  transition: all .3 ease-in-out;
}

.movie-poster img:hover {
  height: 600px;
  width: 400px;
}

.title {
  font-size: 36px;
  font-weight: 500;
}

.genre {
  text-align: center;
  font-size: 24px;
}

.synopsis-container {
  display: flex;
  flex-direction: column;
  gap: 15px;
  text-align: center;
  width: 900px;
  margin-bottom: 20px;
}

.synopsis-container h1 {
  font-size: 48px;
  font-weight: 500;
}

.synopsis {
  text-align: left;
  font-size: 24px;
  font-weight: 400;
}

.crew-container,
.cast-container {
  margin: 50px 0 50px 0;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

#gallery-crew,
#gallery-cast {
  margin-top: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.row-crew,
.row-cast {
  display: flex;
  flex-direction: row;
  gap: 5px;
  /* slide down and up animation */
  overflow: hidden;
  max-height: 290px;
  transition: max-height 0.8s ease-in-out;
}

.hidden {
  max-height: 0px;
}

.c-one,
.c-two,
.c-three,
.c-four,
.c-five {
  width: 200px;
  height: 280px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 5px;
}

.c-one img,
.c-two img,
.c-three img,
.c-four img,
.c-five img {
  --s: 150px; /* the size of the image */
  --b: 4px; /* the border thickness*/
  --g: 5px; /* the gap */
  --c: #ff0000; /* the color */

  width: var(--s);
  aspect-ratio: 1;
  border-radius: 50%;
  outline: calc(var(--s) / 2) solid #0009;
  outline-offset: calc(var(--s) / -2);
  cursor: pointer;
  transition: 0.3s;
}

.c-one img:hover,
.c-two img:hover,
.c-three img:hover,
.c-four img:hover,
.c-five img:hover {
  outline: var(--b) solid var(--c);
  outline-offset: var(--g);
}

#role {
  width: 200px;
  height: 50px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  text-align: center;
}

#role:hover {
  width: auto;
  overflow: visible;
  white-space: normal;
}

.show-more {
  text-align: center;
  font-size: 20px;
  font-weight: 700;
  /* transition: text-decoration 5s ease-in-out; */
  --b: 0.1em; /* the thickness of the line */
  --c: #ff0000; /* the color */

  color: #ff0000;
  padding-block: var(--b);
  background: linear-gradient(var(--c) 50%, #000 0) 0%
      calc(100% - var(--_p, 0%)) / 100% 200%,
    linear-gradient(var(--c) 0 0) 0% var(--_p, 0%) / var(--_p, 0%) var(--b)
      no-repeat;
  -webkit-background-clip: text, padding-box;
  background-clip: text, padding-box;
  transition: 0.3s var(--_s, 0s) linear,
    background-size 0.3s calc(0.3s - var(--_s, 0s));
}

.show-more:hover {
  --_p: 100%;
  --_s: 0.3s;
}

.settings-row {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 40px;
}

.setting-one img,
.setting-two img {
  margin-top: 20px;
  height: 300px;
  width: 480px;
}

.setting-one p,
.setting-two p {
  width: 480px;
  font-size: 22px;
  text-align: center;
}

.script-container {
  width: 65vw;
  text-align: start;
  margin: 60px 0 50px 0;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  gap: 30px;
}

.script-container a {
  color: #fff;
  text-decoration: none;
}

.click {
  font-size: 30px;
  /* transition: text-decoration 5s ease-in-out; */
  --b: 0.1em; /* the thickness of the line */
  --c: #ffd41e; /* the color */

  color: #fff;
  padding-block: var(--b);
  background: linear-gradient(var(--c) 50%, #000 0) 0%
      calc(100% - var(--_p, 0%)) / 100% 200%,
    linear-gradient(var(--c) 0 0) 0% var(--_p, 0%) / var(--_p, 0%) var(--b)
      no-repeat;
  -webkit-background-clip: text, padding-box;
  background-clip: text, padding-box;
  transition: 0.3s var(--_s, 0s) linear,
    background-size 0.3s calc(0.3s - var(--_s, 0s));
}

.click:hover {
  --_p: 100%;
  --_s: 0.3s;
}

.feedback{
  width: 65vw;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.feedback-form{
  width: 800px;
  margin: 30px 0 0 0;
  padding-left: 100px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 20px;
}

.form-line-one{
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 70px;
}

.form-line-two{
  display: flex;
  flex-direction: row;
  align-items: baseline;
  gap: 15px;
}

.form-line-three{
  width: 800px;
  text-align: end;
}

.form-line-one label, .form-line-two label{
  font-family: "Jura", sans-serif;
  font-weight: 700;
  font-size: 30px;
  color: #fff;
}

.form-line-one input{
  height: 40px;
  width: 300px;
  font-family: "Jura", sans-serif;
  font-weight: 500;
  font-size: 20px;
  color: #000;
  border-radius: 5px;
}

.form-line-two textarea{
  height: 200px;
  width: 500px;
  font-family: "Jura", sans-serif;
  font-weight: 500;
  font-size: 20px;
  color: #000;
  resize: none;
  border-radius: 5px;
}

.form-line-three button{
  margin: 20px 0 0 0;
  padding: 5px;
  height: 60px;
  width: 120px;
  font-family: "Jura", sans-serif;
  font-weight: 700;
  font-size: 30px;
  color: #000;
  background: #fff;
  border-radius: 5px;
  box-shadow: 0 0 0 0 #000;
  transition: box-shadow .4s ease-in-out;
}

.form-line-three button:hover{
  box-shadow: 0 0 10px 5px #ffd41e;
}

.footer-container {
  margin-top: 50px;
  display: flex;
  flex-direction: column;
  gap: 40px;
  width: 100%;
  text-align: center;
}

.footer-container img {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  box-shadow: 0 0 0 0 #fff;
  transition: box-shadow 0.5s ease;
}

.footer-container img:hover {
  border-color: #ffd41e;
  box-shadow: 0 0 30px 5px #ffd41e;
}

.footer-container a {
  text-decoration: none;
}

.footer-container p {
  color: #fff;
  font-size: 20px;
  text-align: start;
  padding: 0 50px 0 50px;
  margin-bottom: 30px;
}